Initiate Provider Authorisation

Request a new Open Banking authorisation url for a specific Customer and provider. This endpoint should be used when using Bud as a Technical Service Provider(TSP). This means that Bud will be using your license (as a registered Account Information Service Provider (AISP)). This will allow you to use your own interface to connect new account(s).

A generated consent has a 90 day expiry, to allow for re-authentication to extend this expiry the id of the customers previous consent can be included as the consent_id property. This re-authenciation if the customer grants consent would extend the consent by another 90 days.

Body Params
string
required

The identifier of the ASPSP (bank) the Customer is requesting the authorisation URL for. This should be a provider value returned from a call to Retrieve OB Providers

string

This is the url that your Customer will be redirected to when using the Bud Connect product. If you wish to use your own license and callback infrastructure this parameter will have no effect and the provider_redirect_url parameter should be used instead.

string

This is the url that your Customer will be redirected to once they have authorised with the relevant provider. This should only be used when using your own license and wish to use the Submit Authorisation Codes endpoint. If you wish to use Bud's call back then the redirect_url must be provided.

string

Uses the previous consent id of your customer to re-authenticate their consent.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

Bud Customer identifier

string

The Bud Customer secret used to encrypt customer data. This is optional only if the customer secret is already stored with Bud (i.e. the host_secret was set to true in the Customer Context when the customer was created).

Responses

401

Unauthorized (BearerToken in 'Authorization' header fails the authentication)

405

The request uses an unexpected HTTP method

5XX

An unexpected error occurred on the server side

Language
Credentials
OAuth2
Response
Choose an example:
application/json